Subject: bug#56393: Actually fix the long lines display bug

From: Gregory Heytings <[email-masked]>
Date: Mon, 18 Jul 2022 18:17:39 +0000

>> BTW, there is now a C-x x t binding for that.
>
> Old habits die hard ;-)  Besides, what I really type is
>
> M-x tog TAB tr TAB RET
>

10 keys instead of 4, a 250 % slowdown! 😉

>> Yes, it's a font locking issue.  Turn font-lock-mode off and the 
>> problem is gone.  As I said, I'll look at that later.
>
> So you are saying that font-lock becomes much more expensive when lines 
> are truncated?  Because the comparison is with the same file and 
> font-lock turned ON, but without line truncation.
>

I can't give a precise answer to your question.  All I can say is that I'm 
sure that font locking slows down things significantly.  After opening 
that file and typing C-u C-x x f C-x x t, editing is fast.  That being 
said, perhaps there are specific optimizations to add for 
toggle-truncate-lines.  Which would be yet another subsection of this bug.